/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.gusuku.dao;

import java.util.List;

import org.seasar.dao.annotation.tiger.Arguments;
import org.seasar.dao.annotation.tiger.Query;
import org.seasar.dao.annotation.tiger.S2Dao;
import org.seasar.gusuku.entity.MailCondition;

@S2Dao(bean=MailCondition.class)
public interface MailConditionDao {
	
	public void insert(MailCondition mailCondition);
	public void update(MailCondition mailCondition);
	public void delete(MailCondition mailCondition);
	
	@Query("ACCOUNTID = /*accountid*/ AND PROJECTID = /*projectid*/")
	@Arguments({"accountid","projectid"})
	public MailCondition findByAccountidAndProjectid(Long accountid, Long projectid);
	
	public List<MailCondition> findMailList(Long projectid);

}
